<script setup lang="ts">
import DialogReceipt from './DialogReceipt.vue'
import { useReceiptStore } from '@/stores/receipt'
import { useAuthStore } from '@/stores/auth'
import Swal from 'sweetalert2'

const receiptStore = useReceiptStore()
const authStore = useAuthStore()

function showReceipt() {
  if (
    receiptStore.receiptItems.length >= 1 &&
    receiptStore.editedReceipt.receivedAmount >= receiptStore.editedReceipt.total
  ) {
    receiptStore.showReceiptDialog()
    console.log('Buying')
    console.log(receiptStore.editedReceipt.qty)
  } else if (receiptStore.editedReceipt.receivedAmount < receiptStore.editedReceipt.total) {
    console.log('no cash')
    Swal.fire({ icon: 'error', title: 'Warning', text: "You didn't insert Cash!" })
  } else {
    console.log('no product')
    Swal.fire({ icon: 'error', title: 'Warning', text: "You didn't insert Product!" })
  }
}

function showReceiptMember() {
  receiptStore.editedReceipt.paymentType = 'Promptpay'
  receiptStore.editedReceipt.channel = 'Online'
  receiptStore.editedReceipt.receivedAmount = receiptStore.editedReceipt.total
  receiptStore.editedReceipt.memberId = authStore.getCurrentMember()?.id
  receiptStore.editedReceipt.userId = undefined
  if (receiptStore.editedReceipt.branch === undefined) {
    Swal.fire({ icon: 'error', title: 'Warning', text: 'Please Select Branch!' })
  } else {
    receiptStore.showReceiptDialog()
  }
}

function btnNotShow() {
  if (receiptStore.receiptItems.length < 1) {
    return true
  } else {
    return false
  }
}
</script>

<template>
  <v-container>
    <v-row>
      <v-col cols="12" sm="6">
        <v-btn
          block
          rounded="xl"
          size="large"
          color="red"
          prepend-icon="mdi-close"
          @click="receiptStore.clear()"
          >Cancel</v-btn
        >
      </v-col>
      <v-col cols="12" sm="6" v-if="receiptStore.isEmp()">
        <v-btn
          block
          rounded="xl"
          size="large"
          color="green"
          prepend-icon="mdi-check"
          @click="showReceipt()"
          :disabled="btnNotShow()"
          >Confirm</v-btn
        >
      </v-col>
      <v-col cols="12" sm="6" v-else>
        <v-btn
          block
          rounded="xl"
          size="large"
          color="green"
          prepend-icon="mdi-check"
          @click="showReceiptMember()"
          :disabled="btnNotShow()"
          >Confirm</v-btn
        >
      </v-col>
    </v-row>
  </v-container>
  <DialogReceipt></DialogReceipt>
</template>
